Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.joone.engine
Class RbfGaussianParameters

    java.lang.Object
      org.joone.engine.RbfGaussianParameters

All Implemented Interfaces:
  java.io.Serializable

    public class RbfGaussianParameters

extends java.lang.Object
implements java.io.Serializable

This class defines the parameters, like center, sigma, etc. for the Gaussian RBF.

Author:
  Boris Jansen
See Also:
  Serialized Form

Constructor Summary
`RbfGaussianParameters()` Creates a new instance of RbfGaussianParameters
`RbfGaussianParameters(double[] aMean, double aStdDeviation)` Creates a new instance of RbfGaussianParameters.

Method Summary
`double[]` | `getMean()` Gets the mean (center) of the Gaussian RBF.
`double` | `getStdDeviation()` Gets the standard deviation (sigma) of the Gaussian RBF.
`void` | `setMean(double[] aMean)` Sets the mean (center) of the Gaussian RBF.
`void` | `setStdDeviation(double aStdDeviation)` Sets the standard deviation (sigma) of the Gaussian RBF.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RbfGaussianParameters

    public RbfGaussianParameters()

  Creates a new instance of RbfGaussianParameters

### RbfGaussianParameters

    public RbfGaussianParameters(double[] aMean,
                                 double aStdDeviation)

  Creates a new instance of RbfGaussianParameters.

  Parameters:
    `aMean` - the mean.
    `aStdDeviation` - the standard deviation.

Method Detail

### getMean

    public double[] getMean()

  Gets the mean (center) of the Gaussian RBF.

  Returns:
    the mean of the Gaussian RBF.

### setMean

    public void setMean(double[] aMean)

  Sets the mean (center) of the Gaussian RBF.

  Parameters:
    `aMean` - the new mean to set.

### getStdDeviation

    public double getStdDeviation()

  Gets the standard deviation (sigma) of the Gaussian RBF.

  Returns:
    the standard deviation of the Gaussian RBF.

### setStdDeviation

    public void setStdDeviation(double aStdDeviation)

  Sets the standard deviation (sigma) of the Gaussian RBF.

  Parameters:
    `aStdDeviation` - the new standard deviation to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit Feedback to pmarrone@users.sourceforge.net